using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Reflection;

namespace VSDev9
{
    public static class FileSystemFacade
    {
        public static string GetFileContent(string fileName)
        {
            string txt = fileName;
            try
            {
                var resourceUri = string.Format("/{0};component/Files/{1}.txt", new AssemblyName(Assembly.GetExecutingAssembly().FullName).Name, fileName);
                var streamInfo = App.GetResourceStream(new Uri(resourceUri, UriKind.RelativeOrAbsolute));
                using (var reader = new StreamReader(streamInfo.Stream))
                {
                    txt = reader.ReadToEnd();
                }
            }
            catch (Exception)
            {
            }

            return txt;
        }
    }
}
